MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031501Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-04-15 22:402020-05-16 07:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument
DescriptionMessage_Printer defines the following interface:
  void Send (const TCollection_AsciiString& theString,
             const Message_Gravity theGravity,
             const Standard_Boolean theToPutEndl) const


The latter argument puts unnecessary complication to Message_Printer implementation, as it has to accumulate incomplete messages when theToPutEndl is set to FALSE, which should be also mutex-protected for thread-safety. At the same time, Printer has no enough information to separate message streams from concurrent threads, so that accumulated messages might be mixed in output.

The main purpose for this extra argument is Message_Messenger providing C++ stream-alike interface with << global operator, so that application might fill message like this:
  Message::DefaultMessenger() << theMsg.Value();
  if (theMsg.IsEdited())
  {
    Message::DefaultMessenger() << " [from: " << theMsg.Original() << "]";
  
}
  Message::DefaultMessenger() << Message_EndLine;


Although some Message_Printer implementations may map theToPutEndl flag naturally (like std::endl for std::cout) and put output continuously, many others need distinguishing Message as whole before displaying it.

It is proposed dropping theToPutEndl argument from Message_Printer::Send() interface, and at first step emulate accumulation buffer within Message_Messenger itself for preserving stream-alike syntax compatibility. At next step, it is desirable updating existing OCCT code using << syntax Message_Messenger to use local accumulation buffers.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031189verifiedbugmaster Draw Harness, ViewerTest - send messages to Message::DefaultMessenger() 

-  Notes
(0091573)
git (administrator)
2020-04-15 22:44

Branch CR31501 has been created by kgv.

SHA-1: 7942435256f4c22722216ca5f6ac6501f86049df


Detailed log of new commits:

Author: kgv
Date: Wed Apr 15 22:44:49 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument
    
    The argument putEndl has been removed from Message_Messenger::Send() methods.
    Added new methods Message_Messenger::appendToBuffer() and Message_Messenger::flushBuffer()
    for providing << stream filling interface, which now uses internal
    message accumulation buffer protected by mutex.
(0091575)
git (administrator)
2020-04-15 23:48

Branch CR31501 has been updated by kgv.

SHA-1: 77b2ca52eaeef7d53bf1a8f62f858904ec50e6b4


Detailed log of new commits:

Author: kgv
Date: Wed Apr 15 23:48:57 2020 +0300

    Message_Printer interface has been changed, so that sub-classes has to implement new method
    Message_Printer::send() accepting TCollection_AsciiString and no Endl flag.
    Old three Message_Printer::Send() methods remain defined with unused last argument
    and redirecting to new send() method by default.
    
    Removed dummy Message_PrinterOStream::GetUseUtf8() property.
    Message_PrinterOStream, Message_PrinterSystemLog and Draw_Printer
    now implement single method Message_Printer::send() instead of triplet.

(0091577)
git (administrator)
2020-04-16 00:29

Branch CR31501 has been updated forcibly by kgv.

SHA-1: b523b2eb9c7876ba5b4a1a766695b5ddd021d9ca
(0091581)
git (administrator)
2020-04-16 10:02

Branch CR31501 has been updated forcibly by kgv.

SHA-1: a4e8de2856e188d126ba76962092381f1590d741
(0091618)
kgv (developer)
2020-04-17 10:50
edited on: 2020-04-17 10:50

Proposed patch CR31501 is ready for review in OCCT and OCC Products branches.

http://jenkins-test-12.nnov.opencascade.com/view/CR31501-CR31501-KGV/ [^]

(0091831)
abv (manager)
2020-04-28 23:17

Some remarks:

1. If last argument of methods Message_Printer::Send() is unused, should not it have default value? Why not removing it completely?

2. Specific code for Android and Emscripten has been removed from Message_PrinterSystemLog -- is this intentional?

3. You introduce operators << syntax but immediately discourage its usage -- this looks strange. Can we make it in a more safe and explicit way, for instance, provide some method that would return an object with stream-like interface that would collect the string before dumping it? Like this:

aMessenger->Out() << "Some str " << i;

Here Out() would return automatic string buffer object that would collect the string and send it into its creator messenger instance on destruction.
(0091832)
kgv (developer)
2020-04-28 23:40
edited on: 2020-04-28 23:43

> 1. If last argument of methods Message_Printer::Send() is unused,
> should not it have default value? Why not removing it completely?
The idea is to simplify porting of existing Message_Printer implementations on application level - probably defined without Standard_OVERRIDE in old applications. The argument can be removed.

> 2. Specific code for Android and Emscripten has been removed
> from Message_PrinterSystemLog -- is this intentional?
The code is there. Patch removes threesome between Send() methods in favor of single send().

> 3. You introduce operators << syntax but immediately discourage its usage
<< syntax existed before the patch and cannot be easily updated within OCCT.

> aMessenger->Out() << "Some str " << i;
This was one of idea for smooth and safe replacement of existing << interface.
Unfortunately, existing code completely unreliable for using this sort of replacement - it constantly uses multiple lines, if statements and even calls to another functions mixed up with Endl() statements. Introducing auto-flushing stream object like it was done in 0031189 would not help porting existing code - so I gave up on it.

(0091839)
abv (manager)
2020-04-29 10:34

1. Since method send() is null, any descendant will have to redefine it anyway, at that point he has all the chances to realize that old method(s) Send that he might have overrided before are not needed any more. Thus, I do not see a reason of keeping methods Send() virtual (unless we want to allow more efficient implementations) and preserve their signature.

3. Yes I see... At least we can move these definitions (operators << for Handle(Message_Messenger), Message_EndOfLine) to separate header, to be used only by that old DE bullshit code.
(0091841)
kgv (developer)
2020-04-29 10:45
edited on: 2020-04-29 10:46

So you propose removing 3 Send() methods and replace them by a single virtual Send() taking TCollection_AsciiString?
Or make them non-virtual redirecting to send()?

(0091844)
abv (manager)
2020-04-29 11:24

I think it is worth to keep several methods Send() with different signature, but propose that they do not have unused arguments, and do not need to be virtual (but could be).
(0091910)
git (administrator)
2020-04-30 16:58

Branch CR31501_2 has been created by abv.

SHA-1: 6a6c9e48dca9e1a9bce3a1b3c59b04eeb8881751


Detailed log of new commits:

Author: kgv
Date: Wed Apr 15 22:44:49 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument
    
    The argument putEndl has been removed from Message_Messenger::Send() and Message_Printer::Send() methods.
    
    Message_Printer interface has been changed, so that sub-classes have to implement new method
    Message_Printer::send() accepting TCollection_AsciiString.
    Old three Message_Printer::Send() methods remain available without putEndl argument
    and redirecting to new send() method by default.
    
    Removed dummy Message_PrinterOStream::GetUseUtf8() property.
    Message_PrinterOStream, Message_PrinterSystemLog and Draw_Printer
    now implement single method Message_Printer::send() instead of triplet.

Author: abv
Date: Thu Apr 30 15:45:31 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument -- preparation
    
    Operators << for Handle(Message_Messenger) are removed; their use is replaced by use of Message_Messenger::StreamBuffer
(0091911)
abv (manager)
2020-04-30 17:00

Kirill, please have a look at branch CR31501_2 - in addition to putEndl argument, I have removed also operator << functions for Handle(Message_Messenger), in favor of usage of local StreamBuffer objects.
(0091912)
kgv (developer)
2020-04-30 17:14

Patch looks OK to me.

There are some places, where messages are sent to printer by portions instead of as whole, but this issue existed before the patch.
(0091922)
abv (manager)
2020-05-01 07:25

If you can indicate such places, please do - let's check them!
(0091923)
kgv (developer)
2020-05-01 11:52

> If you can indicate such places, please do - let's check them!
This is arguable what it the whole message and what is not.
And they are not distinguishable until looking into log within external printer implementation in GUI.
So lets ignore this until it really hits.
(0091983)
git (administrator)
2020-05-07 11:51

Branch CR31501_2 has been updated forcibly by kgv.

SHA-1: 81d98a440a0dd382f7c8caa42a70555f5731ae09
(0091988)
git (administrator)
2020-05-07 13:40

Branch CR31501_2 has been updated forcibly by kgv.

SHA-1: 58f1f56fda7f085c30412449731856c712508fa3
(0091989)
git (administrator)
2020-05-07 14:06

Branch CR31501_2 has been updated by kgv.

SHA-1: 139ecc21e49b717b877e456133702f1b08487c17


Detailed log of new commits:

Author: kgv
Date: Thu May 7 14:07:21 2020 +0300

    0031501 preparation - flush message before calling Interface_InterfaceModel::Print() as workaround

(0091990)
kgv (developer)
2020-05-07 14:15

Test case bugs/vis/bug22849 fails with the latest patch version, because nested Interface_InterfaceModel::Print() calls flush message in-between producing mixed results.
(0091992)
git (administrator)
2020-05-07 15:38

Branch CR31501_2 has been updated forcibly by kgv.

SHA-1: 556b2b1c9c9229c588a5442a958b898b71f9bb14
(0091995)
git (administrator)
2020-05-07 15:52

Branch CR31501_3 has been created by kgv.

SHA-1: 36c91a73ef03b57cb273e726041011c7ef5e0393


Detailed log of new commits:

Author: kgv
Date: Wed Apr 15 22:44:49 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument
    
    The argument putEndl has been removed from Message_Messenger::Send() and Message_Printer::Send() methods.
    
    Message_Printer interface has been changed, so that sub-classes have to implement new method
    Message_Printer::send() accepting TCollection_AsciiString.
    Old three Message_Printer::Send() methods remain available without putEndl argument
    and redirecting to new send() method by default.
    
    Removed dummy Message_PrinterOStream::GetUseUtf8() property.
    Message_PrinterOStream, Message_PrinterSystemLog and Draw_Printer
    now implement single method Message_Printer::send() instead of triplet.

Author: abv
Date: Thu Apr 30 15:45:31 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument -- preparation
    
    Operators << for Handle(Message_Messenger) are removed; their use is replaced by use of Message_Messenger::StreamBuffer
    Message_Messenger has been replaced by Standard_OStream within Interface_InterfaceModel::Print() interface.
(0092000)
git (administrator)
2020-05-07 21:12

Branch CR31501_3 has been updated by kgv.

SHA-1: 6c45bed3ce560e6a69ae5ccb889ab7431e656744


Detailed log of new commits:

Author: kgv
Date: Thu May 7 21:13:01 2020 +0300

    Changed IFSelect interface to take Standard_OStream instead of Message_Messenger

(0092001)
git (administrator)
2020-05-07 21:13

Branch CR31501_4 has been created by kgv.

SHA-1: 8a47137f436144c3ba6dff988fa33b2ba44d98f8


Detailed log of new commits:

Author: kgv
Date: Wed Apr 15 22:44:49 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument
    
    The argument putEndl has been removed from Message_Messenger::Send() and Message_Printer::Send() methods.
    
    Message_Printer interface has been changed, so that sub-classes have to implement new method
    Message_Printer::send() accepting TCollection_AsciiString.
    Old three Message_Printer::Send() methods remain available without putEndl argument
    and redirecting to new send() method by default.
    
    Removed dummy Message_PrinterOStream::GetUseUtf8() property.
    Message_PrinterOStream, Message_PrinterSystemLog and Draw_Printer
    now implement single method Message_Printer::send() instead of triplet.

Author: abv
Date: Thu Apr 30 15:45:31 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument -- preparation
    
    Operators << for Handle(Message_Messenger) are removed; their use is replaced by use of Message_Messenger::StreamBuffer
    Message_Messenger has been replaced by Standard_OStream within Interface_InterfaceModel,IFSelect,IGES,STEP dump interfaces.
(0092004)
git (administrator)
2020-05-07 22:49

Branch CR31501_4 has been updated forcibly by kgv.

SHA-1: 03796ccf29f5de1ecaadf88f6f6e6ac6590afa1a
(0092005)
kgv (developer)
2020-05-08 00:41

Updated patch CR31501_4 in OCCT and Products is ready for review.

Tests are passed:
http://jenkins-test-12.nnov.opencascade.com/view/CR31501_4-CR31501_4-KGV/ [^]
(0092006)
git (administrator)
2020-05-08 09:43

Branch CR31501_4 has been updated by abv.

SHA-1: f78f2ba3db6c5cc2810f4288c6018b14708a93c3


Detailed log of new commits:

Author: abv
Date: Fri May 8 09:43:14 2020 +0300

    // Minor code review corrections
    
    // Restore original formatting and revert irrelevant changes in a few places to minimize diff
    // Provide direct case of Message_Messenger::StreamBuffer to Standard_OStream& to avoid explicit call of method StreamBuffer()
    // Replace Message::DefaultMessanger()->SendInfo() by short-cut Message::SendInfo()
    // Interface_ShareTool::Print(), Transfer_FinderProcess::PrintTrace(), PrintStats(), and XSControl_WorkSession::PrintTransferStatus() changed to use Standard_OStream instead of Handle(Message_Messenger)

(0092009)
git (administrator)
2020-05-08 14:39

Branch CR31501_4 has been updated by kgv.

SHA-1: 91e9c720470ae8d18785a79f90d9cf35833cdc7c


Detailed log of new commits:

Author: kgv
Date: Fri May 8 14:40:39 2020 +0300

    0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument -- use shortcuts
    
    Message::DefaultMessenger()->Send() have been replaced by shortcuts Message::Send(.

(0092010)
git (administrator)
2020-05-08 14:40

Branch CR31501_4 has been updated forcibly by kgv.

SHA-1: 035e35d27d2bcd83824497ae153b4069a974b963
(0092011)
git (administrator)
2020-05-08 14:58

Branch CR31501_4 has been updated forcibly by abv.

SHA-1: 9404b40d13ed63bde4c29f4449db8656fef66722
(0092019)
git (administrator)
2020-05-08 19:43

Branch CR31501_4 has been updated forcibly by abv.

SHA-1: c01f63f6b966220ed45d41ace268f975886f9b27
(0092020)
abv (manager)
2020-05-08 19:49

Reviewed and revised, tests seem to be OK (see Jenkins job CR31501_4-CR31501_4-KGV -- the error on Windows test de step_3 C3 is unrelated), please integrate:
- OCCT: branch CR31504_4 at c01f63f6b966220ed45d41ace268f975886f9b27
- Products: branch CR31504_4 at c85fd88b9e80f2ed6b9bfe86e64ca6f0deec0ae8
(0092029)
git (administrator)
2020-05-09 11:31

Branch CR31501_4 has been updated by abv.

SHA-1: 186924493ca98786431bed9a4f5f6919d770d366


Detailed log of new commits:

Author: abv
Date: Sat May 9 11:32:06 2020 +0300

    // fix for compilation with OCCT_DEBUG

(0092038)
bugmaster (administrator)
2020-05-10 13:55

Combination -
OCCT branch : IR-2020-05-08
master SHA - a87b1b373865f108f06c5bb422cc0426c2ed704d
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-05-08 SHA - c85fd88b9e80f2ed6b9bfe86e64ca6f0deec0ae8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17176.460000000185 / 17147.810000000212 [+0.17%]
Products
Total CPU difference: 11272.470000000078 / 11280.480000000087 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 18645.65625 / 18665.890625 [-0.11%]
Products
Total CPU difference: 13180.21875 / 13209.109375 [-0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092039)
git (administrator)
2020-05-10 14:16

Branch CR31501_4 has been deleted by inv.

SHA-1: 186924493ca98786431bed9a4f5f6919d770d366
(0092040)
git (administrator)
2020-05-10 14:16

Branch CR31501_3 has been deleted by inv.

SHA-1: 6c45bed3ce560e6a69ae5ccb889ab7431e656744
(0092041)
git (administrator)
2020-05-10 14:16

Branch CR31501_2 has been deleted by inv.

SHA-1: 556b2b1c9c9229c588a5442a958b898b71f9bb14
(0092054)
git (administrator)
2020-05-10 14:17

Branch CR31501 has been deleted by inv.

SHA-1: a4e8de2856e188d126ba76962092381f1590d741

- Related Changesets
occt: master fa8a4628
Timestamp: 2020-04-15 19:44:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument

The argument putEndl has been removed from Message_Messenger::Send() and Message_Printer::Send() methods.

Message_Printer interface has been changed, so that sub-classes have to implement new method
Message_Printer::send() accepting TCollection_AsciiString.
Old three Message_Printer::Send() methods remain available without putEndl argument
and redirecting to new send() method by default.

Removed dummy Message_PrinterOStream::GetUseUtf8() property.
Message_PrinterOStream, Message_PrinterSystemLog and Draw_Printer
now implement single method Message_Printer::send() instead of triplet.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/java/jniviewer/jni/OcctJni_MsgPrinter.cxx Diff ] File ]
mod - samples/java/jniviewer/jni/OcctJni_MsgPrinter.hxx Diff ] File ]
mod - src/Draw/Draw_Printer.cxx Diff ] File ]
mod - src/Draw/Draw_Printer.hxx Diff ] File ]
mod - src/Message/Message_Messenger.cxx Diff ] File ]
mod - src/Message/Message_Messenger.hxx Diff ] File ]
mod - src/Message/Message_Printer.cxx Diff ] File ]
mod - src/Message/Message_Printer.hxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.cxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.hxx Diff ] File ]
mod - src/Message/Message_PrinterSystemLog.cxx Diff ] File ]
mod - src/Message/Message_PrinterSystemLog.hxx Diff ] File ]
mod - src/ShapeProcessAPI/ShapeProcessAPI_ApplySequence.cxx Diff ] File ]
mod - src/TransferBRep/TransferBRep.cxx Diff ] File ]
occt: master 0ebe5b0a
Timestamp: 2020-04-30 12:45:31
Author: abv
Committer: bugmaster
Details ] Diff ]
0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument -- preparation

Operators << for Handle(Message_Messenger) are removed; their use is replaced by use of Message_Messenger::StreamBuffer
Message_Messenger has been replaced by Standard_OStream within Interface_InterfaceModel,IFSelect,IGES,STEP dump interfaces.
mod - src/IFSelect/IFSelect_ContextModif.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_EditForm.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_EditForm.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Functions.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ModelCopier.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionFile.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionPilot.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignatureList.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignatureList.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_TransformStandard.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkLibrary.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkLibrary.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_SpecificModule.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_SpecificModule.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolElementResults.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolElementResults.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFiniteElement.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFiniteElement.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFlow.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFlow.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFlowLineSpec.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFlowLineSpec.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLevelToPWBLayerMap.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLevelToPWBLayerMap.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLineWidening.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLineWidening.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalConstraint.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalConstraint.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalDisplAndRot.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalDisplAndRot.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalResults.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalResults.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNode.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNode.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPartNumber.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPartNumber.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPinNumber.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPinNumber.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPipingFlow.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPipingFlow.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPWBArtworkStackup.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPWBArtworkStackup.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.hxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_SpecificModule.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_SpecificModule.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalReferenceFile.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalReferenceFile.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFile.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFile.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileIndex.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileIndex.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileName.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefLibName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefLibName.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefName.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolGroup.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolGroup.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolGroupWithoutBackP.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolGroupWithoutBackP.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolHierarchy.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolHierarchy.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolName.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolOrderedGroup.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolOrderedGroup.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolOrderedGroupWithoutBackP.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolOrderedGroupWithoutBackP.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSingleParent.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSingleParent.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSingularSubfigure.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSingularSubfigure.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSubfigureDef.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSubfigureDef.hxx Diff ] File ]
mod - src/IGESControl/IGESControl_Reader.cxx Diff ] File ]
mod - src/IGESData/IGESData_DefaultSpecific.cxx Diff ] File ]
mod - src/IGESData/IGESData_DefaultSpecific.hxx Diff ] File ]
mod - src/IGESData/IGESData_Dump.hxx Diff ] File ]
mod - src/IGESData/IGESData_IGESDumper.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESDumper.hxx Diff ] File ]
mod - src/IGESData/IGESData_IGESModel.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESModel.hxx Diff ] File ]
mod - src/IGESData/IGESData_IGESWriter.cxx Diff ] File ]
mod - src/IGESData/IGESData_SpecificModule.cxx Diff ] File ]
mod - src/IGESData/IGESData_SpecificModule.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_SpecificModule.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_SpecificModule.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAssociativityDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAssociativityDef.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeDef.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeTable.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeTable.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolGenericData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolGenericData.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolMacroDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolMacroDef.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolTabularData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolTabularData.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolUnitsData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolUnitsData.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_SpecificModule.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_SpecificModule.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolAngularDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolAngularDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolBasicDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolBasicDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolCenterLine.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolCenterLine.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolCurveDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolCurveDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDiameterDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDiameterDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionDisplayData.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionDisplayData.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionedGeometry.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionedGeometry.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionTolerance.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionTolerance.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionUnits.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionUnits.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolFlagNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolFlagNote.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralLabel.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralLabel.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralNote.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralSymbol.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralSymbol.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolLeaderArrow.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolLeaderArrow.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolLinearDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolLinearDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolNewDimensionedGeometry.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolNewDimensionedGeometry.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolNewGeneralNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolNewGeneralNote.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolOrdinateDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolOrdinateDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolPointDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolPointDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolRadiusDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolRadiusDimension.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolSection.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolSection.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolSectionedArea.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolSectionedArea.hxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolWitnessLine.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolWitnessLine.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_SpecificModule.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_SpecificModule.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolCircArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolCircArraySubfigure.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolConnectPoint.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolConnectPoint.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolDrawing.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolDrawing.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolDrawingWithRotation.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolDrawingWithRotation.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolLabelDisplay.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolLabelDisplay.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigure.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigureDef.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigureDef.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolPerspectiveView.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolPerspectiveView.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolPlanar.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolPlanar.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolRectArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolRectArraySubfigure.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolSegmentedViewsVisible.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolSegmentedViewsVisible.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolView.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolView.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolViewsVisible.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolViewsVisible.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolViewsVisibleWithAttr.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolViewsVisibleWithAttr.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_SpecificModule.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_SpecificModule.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBoundary.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBoundary.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBoundedSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBoundedSurface.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineCurve.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineSurface.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCircularArc.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCircularArc.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCompositeCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCompositeCurve.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolConicArc.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolConicArc.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCopiousData.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCopiousData.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCurveOnSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCurveOnSurface.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolDirection.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolDirection.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolFlash.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolFlash.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolLine.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolLine.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolOffsetSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolOffsetSurface.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPlane.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPlane.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPoint.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPoint.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolRuledSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolRuledSurface.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSplineCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSplineCurve.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSplineSurface.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSurfaceOfRevolution.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSurfaceOfRevolution.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTabulatedCylinder.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTabulatedCylinder.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTransformationMatrix.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTransformationMatrix.hxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTrimmedSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTrimmedSurface.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_SpecificModule.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_SpecificModule.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolColor.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolColor.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDefinitionLevel.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDefinitionLevel.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingSize.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingSize.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolHighLight.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolHighLight.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolIntercharacterSpacing.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolIntercharacterSpacing.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontDefPattern.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontDefPattern.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontDefTemplate.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontDefTemplate.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontPredefined.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontPredefined.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolNominalSize.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolNominalSize.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolPick.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolPick.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolTextDisplayTemplate.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolTextDisplayTemplate.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolTextFontDef.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolTextFontDef.hxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.hxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_Activator.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_CounterOfLevelNumber.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_CounterOfLevelNumber.hxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_WorkLibrary.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_WorkLibrary.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_SpecificModule.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_SpecificModule.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolBlock.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolBlock.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolBooleanTree.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolBooleanTree.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolConeFrustum.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolConeFrustum.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolConicalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolConicalSurface.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolCylinder.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolCylinder.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolCylindricalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolCylindricalSurface.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolEdgeList.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolEdgeList.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolEllipsoid.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolEllipsoid.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolFace.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolFace.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolLoop.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolLoop.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolManifoldSolid.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolManifoldSolid.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolPlaneSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolPlaneSurface.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolRightAngularWedge.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolRightAngularWedge.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSelectedComponent.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSelectedComponent.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolShell.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolShell.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidAssembly.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidAssembly.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidInstance.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidInstance.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidOfLinearExtrusion.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidOfLinearExtrusion.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidOfRevolution.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidOfRevolution.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSphere.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSphere.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSphericalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSphericalSurface.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolToroidalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolToroidalSurface.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolTorus.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolTorus.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolVertexList.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolVertexList.hxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_Reader.cxx Diff ] File ]
mod - src/Interface/Interface_Check.cxx Diff ] File ]
mod - src/Interface/Interface_Check.hxx Diff ] File ]
mod - src/Interface/Interface_CheckIterator.cxx Diff ] File ]
mod - src/Interface/Interface_CheckIterator.hxx Diff ] File ]
mod - src/Interface/Interface_CheckTool.cxx Diff ] File ]
mod - src/Interface/Interface_CheckTool.hxx Diff ] File ]
mod - src/Interface/Interface_FileReaderTool.cxx Diff ] File ]
mod - src/Interface/Interface_InterfaceModel.cxx Diff ] File ]
mod - src/Interface/Interface_InterfaceModel.hxx Diff ] File ]
mod - src/Interface/Interface_ShareTool.cxx Diff ] File ]
mod - src/Interface/Interface_ShareTool.hxx Diff ] File ]
mod - src/Interface/Interface_Static.cxx Diff ] File ]
mod - src/Interface/Interface_Static.hxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.cxx Diff ] File ]
mod - src/Message/Message_Messenger.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ValidationProps.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/StepData/StepData_StepDumper.cxx Diff ] File ]
mod - src/StepData/StepData_StepDumper.hxx Diff ] File ]
mod - src/StepData/StepData_StepModel.cxx Diff ] File ]
mod - src/StepData/StepData_StepModel.hxx Diff ] File ]
mod - src/StepData/StepData_StepReaderData.cxx Diff ] File ]
mod - src/StepData/StepData_StepReaderTool.cxx Diff ] File ]
mod - src/StepFile/StepFile_Read.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_WorkLibrary.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_WorkLibrary.hxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/Transfer/Transfer_FinderProcess.cxx Diff ] File ]
mod - src/Transfer/Transfer_FinderProcess.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_TransferProcess.gxx Diff ] File ]
mod - src/Transfer/Transfer_TransientProcess.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransientProcess.hxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_Reader.cxx Diff ] File ]
mod - src/XSControl/XSControl_FuncShape.cxx Diff ] File ]
mod - src/XSControl/XSControl_Functions.cxx Diff ] File ]
mod - src/XSControl/XSControl_Reader.cxx Diff ] File ]
mod - src/XSControl/XSControl_Reader.hxx Diff ] File ]
mod - src/XSControl/XSControl_TransferReader.cxx Diff ] File ]
mod - src/XSControl/XSControl_TransferReader.hxx Diff ] File ]
mod - src/XSControl/XSControl_TransferWriter.cxx Diff ] File ]
mod - src/XSControl/XSControl_Utils.cxx Diff ] File ]
mod - src/XSControl/XSControl_WorkSession.cxx Diff ] File ]
mod - src/XSControl/XSControl_WorkSession.hxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]
mod - src/XSDRAWIGES/XSDRAWIGES.cxx Diff ] File ]
mod - src/XSDRAWSTEP/XSDRAWSTEP.cxx Diff ] File ]
occt: master a87b1b37
Timestamp: 2020-05-08 11:40:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031501: Foundation Classes, Message_Printer - remove theToPutEndl argument -- use shortcuts

Message::DefaultMessenger()->Send() have been replaced by shortcuts Message::Send().
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/Aspect/Aspect_OpenVRSession.cxx Diff ] File ]
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/Font/Font_FTFont.cxx Diff ] File ]
mod - src/FSD/FSD_Base64Decoder.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CubeMapSeparate.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/Image/Image_Texture.cxx Diff ] File ]
mod - src/Image/Image_VideoRecorder.cxx Diff ] File ]
mod - src/Media/Media_CodecContext.cxx Diff ] File ]
mod - src/Media/Media_FormatContext.cxx Diff ] File ]
mod - src/Media/Media_PlayerContext.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PBREnvironment.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafWriter.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_PrimitiveArrayReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff ] File ]
mod - src/RWMesh/RWMesh_CafReader.cxx Diff ] File ]
mod - src/RWMesh/RWMesh_MaterialMap.cxx Diff ] File ]
mod - src/RWObj/RWObj_MtlReader.cxx Diff ] File ]
mod - src/RWObj/RWObj_Reader.cxx Diff ] File ]
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]
mod - src/StlAPI/StlAPI_Writer.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-15 22:40 kgv New Issue
2020-04-15 22:40 kgv Assigned To => abv
2020-04-15 22:44 git Note Added: 0091573
2020-04-15 23:48 git Note Added: 0091575
2020-04-16 00:05 kgv Relationship added related to 0031189
2020-04-16 00:29 git Note Added: 0091577
2020-04-16 10:02 git Note Added: 0091581
2020-04-17 10:50 kgv Note Added: 0091618
2020-04-17 10:50 kgv Status new => resolved
2020-04-17 10:50 kgv Note Edited: 0091618 View Revisions
2020-04-28 23:17 abv Note Added: 0091831
2020-04-28 23:17 abv Status resolved => assigned
2020-04-28 23:40 kgv Note Added: 0091832
2020-04-28 23:41 kgv Note Edited: 0091832 View Revisions
2020-04-28 23:43 kgv Note Edited: 0091832 View Revisions
2020-04-29 10:34 abv Note Added: 0091839
2020-04-29 10:34 abv Assigned To abv => kgv
2020-04-29 10:45 kgv Note Added: 0091841
2020-04-29 10:46 kgv Note Edited: 0091841 View Revisions
2020-04-29 11:24 abv Note Added: 0091844
2020-04-30 16:58 git Note Added: 0091910
2020-04-30 17:00 abv Note Added: 0091911
2020-04-30 17:14 kgv Note Added: 0091912
2020-05-01 07:25 abv Note Added: 0091922
2020-05-01 11:52 kgv Note Added: 0091923
2020-05-07 11:51 git Note Added: 0091983
2020-05-07 13:40 git Note Added: 0091988
2020-05-07 14:06 git Note Added: 0091989
2020-05-07 14:15 kgv Note Added: 0091990
2020-05-07 15:38 git Note Added: 0091992
2020-05-07 15:52 git Note Added: 0091995
2020-05-07 21:12 git Note Added: 0092000
2020-05-07 21:13 git Note Added: 0092001
2020-05-07 22:49 git Note Added: 0092004
2020-05-08 00:41 kgv Note Added: 0092005
2020-05-08 00:41 kgv Assigned To kgv => abv
2020-05-08 00:41 kgv Status assigned => resolved
2020-05-08 09:43 git Note Added: 0092006
2020-05-08 14:39 git Note Added: 0092009
2020-05-08 14:40 git Note Added: 0092010
2020-05-08 14:58 git Note Added: 0092011
2020-05-08 19:43 git Note Added: 0092019
2020-05-08 19:49 abv Note Added: 0092020
2020-05-08 19:49 abv Assigned To abv => bugmaster
2020-05-08 19:49 abv Status resolved => reviewed
2020-05-09 11:31 git Note Added: 0092029
2020-05-10 13:55 bugmaster Test case number => Not required
2020-05-10 13:55 bugmaster Note Added: 0092038
2020-05-10 13:55 bugmaster Status reviewed => tested
2020-05-10 14:01 bugmaster Changeset attached => occt master a87b1b37
2020-05-10 14:01 bugmaster Changeset attached => occt master fa8a4628
2020-05-10 14:01 bugmaster Changeset attached => occt master 0ebe5b0a
2020-05-10 14:01 bugmaster Status tested => verified
2020-05-10 14:01 bugmaster Resolution open => fixed
2020-05-10 14:16 git Note Added: 0092039
2020-05-10 14:16 git Note Added: 0092040
2020-05-10 14:16 git Note Added: 0092041
2020-05-10 14:17 git Note Added: 0092054


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker